#
Prev |  | Next

# paned

## Name

paned -- A widget which allows to interactively resize two children.

## Synopsis

paned [`-option` `value`...]

## Screenshot

## Options

-orientation

  type: ONEOF vertical, horizontal (default: horizontal)

  Orientation of the box, i.e. the placement of its children. This cannot be changed after creation.

-children

  type: list one or two widget-IDs (default: "")

  List of IDs of widgets which are placed inside the panes. If the widget-ID is the empty string this pane is skipped.

-resize

  type: boolean or list of two booleans (default: 1)

  Whether this child are resized, if the paned widget is resized.

-shrink

  type: boolean or list of two booleans (default: 1)

  Whether this child can be made smaller by the user than its requisition.

-position

  type: integer

  Position of the slider.

-name

  type: string

  Name of the widget, can be used to set options in an rc file.

-visible

  type: boolean (default: 1)

  Whether or not the item is visible.

-sensitive

  type: boolean (default: 1)

  Whether or not the item is sensitve to user input.

## Description

The paned widget has two children which are placed side by side either horizontally or vertically. The division between the two children can be adjusted by the user.

## Commands

`id` delete

  Deletes the widget and the associated tcl command.

`id` configure [`-option` `value`...]

  Configures the widget. Option may have any of the values accepted on creation of the widget.

## Example

    set but1 [gnocl::button -text "Button left"]
    set but2 [gnocl::button -text "Button right"]
    set paned [gnocl::paned -orientation horizontal -children "$but1 $but2"]
    gnocl::window -title "Paned" -child $paned

results in

## See also

box, table, notebook, `GtkPaned`

Prev | Home | Next
notebook | Up | scrolledWindow